> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parceltracer.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer locations

> Retrieve all locations associated with the given customer.



## OpenAPI

````yaml api-reference/schema.yaml get /customers/{customer_pk}/locations/
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers:
  - url: https://api.parceltracer.com/v1/external/
    description: Parcel Tracer api endpoint
security: []
paths:
  /customers/{customer_pk}/locations/:
    get:
      tags:
        - Customer Locations
      summary: List customer locations
      description: Retrieve all locations associated with the given customer.
      operationId: list_customer_locations
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: integer
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedExternalLocationList'
              examples:
                CustomerListExample:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?page=4
                    previous: http://api.example.org/accounts/?page=2
                    results:
                      - - id: 9688
                          area:
                            id: 146
                            name_ar: عيناب
                            name_en: Ainab
                            district: Aley
                            lat: '33.766414000000000'
                            long: '35.546311000000000'
                          directions: ''
                        - id: 9689
                          area:
                            id: 161
                            name_ar: بخشتاي
                            name_en: Bkhechtey
                            district: Aley
                            lat: '33.799487000000000'
                            long: '35.615519000000000'
                          directions: ''
                  summary: A sample list of customers
          description: ''
      security:
        - MerchantAPIKey: []
components:
  schemas:
    PaginatedExternalLocationList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLocation'
    ExternalLocation:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        area:
          $ref: '#/components/schemas/Area'
        directions:
          type: string
      required:
        - area
        - id
    Area:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: integer
          readOnly: true
        name_ar:
          type: string
          default: ''
          maxLength: 200
        name_en:
          type: string
          default: ''
          maxLength: 200
        district:
          $ref: '#/components/schemas/DistrictEnum'
        lat:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,15})?$
          nullable: true
        long:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,15})?$
          nullable: true
        maps_link:
          type: string
          nullable: true
          maxLength: 200
        code:
          type: string
          readOnly: true
      required:
        - code
        - id
    DistrictEnum:
      enum:
        - Zahleh
        - Hasbaya
        - Baalbek
        - Jezzine
        - Baabda
        - Jbeil
        - Zgharta
        - Bint Jbeil
        - Hermel
        - Marjeyoun
        - Bsharri
        - Aley
        - Rashaya
        - Miniyeh-Danniyeh
        - Tripoli
        - Tyre
        - Nabatieh
        - Chouf
        - Maatn
        - Western Beqaa
        - Akkar
        - Sidon
        - Batroun
        - Keserwan
        - Koura
        - Beirut
      type: string
      description: |-
        * `Zahleh` - Zahleh
        * `Hasbaya` - Hasbaya
        * `Baalbek` - Baalbek
        * `Jezzine` - Jezzine
        * `Baabda` - Baabda
        * `Jbeil` - Jbeil
        * `Zgharta` - Zgharta
        * `Bint Jbeil` - Bint Jbeil
        * `Hermel` - Hermel
        * `Marjeyoun` - Marjeyoun
        * `Bsharri` - Bsharri
        * `Aley` - Aley
        * `Rashaya` - Rashaya
        * `Miniyeh-Danniyeh` - Miniyeh-Danniyeh
        * `Tripoli` - Tripoli
        * `Tyre` - Tyre
        * `Nabatieh` - Nabatieh
        * `Chouf` - Chouf
        * `Maatn` - Maatn
        * `Western Beqaa` - Western Beqaa
        * `Akkar` - Akkar
        * `Sidon` - Sidon
        * `Batroun` - Batroun
        * `Keserwan` - Keserwan
        * `Koura` - Koura
        * `Beirut` - Beirut
  securitySchemes:
    MerchantAPIKey:
      type: apiKey
      in: header
      name: X-Api-Key

````